petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCopyLabels

Copy labels from one mesh to another with a superset of the points

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCopyLabels(DM dmA, DM dmB)

Collective on DM

### Input Parameter

dmA -The DMPlex object with initial labels

### Output Parameter

dmB -The DMPlex object with copied labels

Note: This is typically used when interpolating or otherwise adding to a mesh

### Keywords

mesh

### See Also

DMCopyCoordinates(), DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM(), DMGetCoordinateSection()

Level:intermediate
Location:src/dm/impls/plex/plexinterpolate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages